package com.epson.mobilephone.common.maintain;

public class MaintainPrinterInfo {
    private static final int EPS_STATUS_NUM = 3;
    private String mId;
    private String mLocation;
    private String mPrinterName = "";
    private int[] mStatus = new int[3];
    private EPS_SUPPLY_INFO mSupplyInfo = new EPS_SUPPLY_INFO();

    public EPS_SUPPLY_INFO getMSupplyInfo() {
        return this.mSupplyInfo;
    }

    public void setMInkInfor(int[] iArr) {
        this.mSupplyInfo.ink.colors = iArr;
    }

    public String getMPrinterName() {
        return this.mPrinterName;
    }

    public void setMPrinterName(String str) {
        this.mPrinterName = str;
    }

    public String getMLocation() {
        return this.mLocation;
    }

    public void setMLocation(String str) {
        this.mLocation = str;
    }

    public String getMId() {
        return this.mId;
    }

    public void setMId(String str) {
        this.mId = str;
    }

    public int[] getMStatus() {
        return this.mStatus;
    }

    public void setMStatus(int[] iArr) {
        this.mStatus = iArr;
    }
}
